import React from 'react'
import { Form, Input } from 'antd'
import BuildingType from './components/BuildingTypeSelect'
import { formItemLayout } from './utils'

const Item = Form.Item

const BuildingBasic = (props) => {
  const { form } = props;
  const { getFieldDecorator } = form;

  return (
    <Form {...formItemLayout}>
      <Item label="项目Id" style={{ display: 'none' }}>
        {getFieldDecorator('buildingId')(<Input disabled />)}
      </Item>
      <Item label="楼盘编号" >
        {getFieldDecorator('code', {
          rules: [{ required: true, message: '请输入楼盘编号' }],
        })(<Input />)}
      </Item>
      <Item label="楼盘名称" >
        {getFieldDecorator('buildingName', {
          rules: [{ required: true, message: '请输入楼盘名' }],
        })(<Input />)}
      </Item>
      <Form.Item label="项目类型">
        {getFieldDecorator('buildingProjectType', {
          rules: [{ required: true, message: '请选择项目类型' }],
        })(<BuildingType />)}
      </Form.Item>

    </Form>
  )
}

export default Form.create()(BuildingBasic)
