import React, { useState, useEffect } from 'react'
import { Checkbox, Card, notification } from 'antd'
import request, { apis } from '@/utils/request'

const gridStyle = {
  width: '25%',
  // textAlign: 'center',
};

export default (props) => {
  const [checkedType, setCheckedType] = useState([])
  const [typeList, setTypeList] = useState([])

  useEffect(() => {
    // 请求类型列表
    request({ ...apis.buildingType.getList, params: { pageNum: 1, pageSize: 999 } }).then(res => {
      setTypeList(res.records)
    }).catch((err) => {
      notification.error({ message: err.message })
    })
  }, [])

  return (
    <Checkbox.Group style={{ width: '100%' }}>
      <Card bordered={false}>
        {
          typeList.map((it) => (
            <Card.Grid style={gridStyle} key={it.buildingTypeId} hoverable={false}>
              <Checkbox value={it.buildingTypeId}>{it.buildingTypeName}</Checkbox>
            </Card.Grid>
          ))
        }
      </Card>
    </Checkbox.Group>
  )
}
